### Function

# Pango default_break

#### Declaration [src]

    void
    pango_default_break (
      const gchar* text,
      int length,
      PangoAnalysis* analysis,
      PangoLogAttr* attrs,
      int attrs_len
    )

#### Description [src]

This is the default break algorithm.

It applies Unicode rules without language-specific tailoring, therefore the `analyis` argument is unused and can be `NULL`.

See `pango_tailor_break()` for language-specific breaks.

#### Parameters

`text` | `const gchar*`
| Text to break. Must be valid UTF-8
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`length` | `int`
| Length of text in bytes (may be -1 if `text` is nul-terminated)
`analysis` | `PangoAnalysis`
| A `PangoAnalysis` structure for the `text`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`attrs` | `PangoLogAttr`
| Logical attributes to fill in.
| The data is owned by the caller of the function.
`attrs_len` | `int`
| Size of the array passed as `attrs`.